curl --request PATCH \
--url https://apix.spotzee.com/api/client/keys/{keyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"scope": "public",
"role": "support"
}
'{
"id": 12,
"project_id": 123,
"name": "Production server",
"scope": "public",
"role": "support",
"value": "sk_01HXY7Z9K8M5J2N4P6Q8R0S1T2",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"is_system_key": true
}Updates an API key’s name, description, scope, or role. The key value cannot be changed.
curl --request PATCH \
--url https://apix.spotzee.com/api/client/keys/{keyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"scope": "public",
"role": "support"
}
'{
"id": 12,
"project_id": 123,
"name": "Production server",
"scope": "public",
"role": "support",
"value": "sk_01HXY7Z9K8M5J2N4P6Q8R0S1T2",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"is_system_key": true
}Documentation Index
Fetch the complete documentation index at: https://docs.spotzee.com/llms.txt
Use this file to discover all available pages before exploring further.
Project-scoped secret API key (sk_…). Pass in the Authorization: Bearer <key> header. Grants access to the project the key was issued for.
Numeric API key identifier.
12
Update an API key’s metadata. The key value cannot be changed.
1public (pk_) keys are safe to embed in browser/SDK code on an explicit allowlist of endpoints. secret (sk_) keys grant full project-scoped access and must be kept server-side.
public, secret The caller’s role on this project.
support, smtpproxy, editor, publisher, admin The updated API key.
A project-scoped API key. Scope (public/secret) controls what endpoints it can call; role gates write access.
Numeric API key identifier.
12
Human-readable label for the API key.
"Production server"
public (pk_) keys are safe to embed in browser/SDK code on an explicit allowlist of endpoints. secret (sk_) keys grant full project-scoped access and must be kept server-side.
public, secret The caller’s role on this project.
support, smtpproxy, editor, publisher, admin The key value, prefixed with sk_ (secret) or pk_ (public). Returned in full only on creation; subsequent reads return a masked form.
"sk_01HXY7Z9K8M5J2N4P6Q8R0S1T2"
Optional description.
When true, the key is system-managed and cannot be archived from the API.
Was this page helpful?